.video-popup {
  position: fixed;
  z-index: 4;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 20px;
  background-color: #fff;
  display: none;

}

.video-popup_state_popup-opened {
  display: block;
}

.video-popup__wrapper {
  background-color: var(--current-theme);
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.video-popup__close-icon {
  position: absolute;
  top: 30px;
  right: 34px;
  width: 28px;
  cursor: pointer;
  transition: opacity .3s;
}

.video-popup__close-icon:hover {
  opacity: .8;
}

.video-popup__iframe-wrapper {
  position: relative;
  width: 74.5%;
  padding-bottom: calc(9 * 74.5% / 16);
}

.video-popup__iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

@media screen and (max-width: 600px) {

  .video-popup {
    padding: 5px;
  }
  .video-popup__close-icon  {
    width: 14px;
    top: 20px;
    right: 10px;
  }
  .video-popup__iframe-wrapper {
    width: 93.5%;
    padding-bottom: calc(9 * 93.5% / 16);
  }
}


